import RoleList from '../views/Role/list'
import HomePage from '../views/Home/index'
import Login2 from '../views/User/Login'
import ExamineCompany from '../views/Examine/company'
import AddCompany from '../views/Examine/add-company'

import React, { lazy, Suspense } from 'react'
const GardenList = lazy(() => import('../views/Garden/index'))
const StreetList = lazy(() => import('../views/Street/index'))

const Wrapper = (Component) => (props) => {
  return (
    <Suspense fallback={() => {}}>
      <Component/>
    </Suspense>
  )
}

export const routes: any = [
  {
    title: '系统首页',
    path: '/admin/index',
    component: HomePage,
  },
  {
    title: '审核',
    path: '/admin/examine',
    children: [
      {
        title: '物业公司',
        path: '/admin/company',
        component: ExamineCompany,
      },
      {
        title: '添加物业公司',
        path: '/admin/company/add',
        component: AddCompany,
        hideInMenu: true
      },
      {
        title: '商户',
        path: '/admin/store',
        component: '',
      }
    ]
  },
  {
    title: '小区管理',
    path: '/admin/garden',
    exact: true,
    component: Wrapper(GardenList),
    hideInMenu: false
  },
  // {
  //   title: '社区街道',
  //   path: '/admin/street',
  //   exact: true,
  //   component: Wrapper(StreetList)
  // },
  {
    title: '权限管理',
    path: '/admin/role',
    exact: true,
    component: RoleList,
  },
  {
    title: '系统设置',
    path: '/admin/setting',
    exact: true,
    component: ''
  }
]

export const staticRoutes = [
  {
    title: '登录',
    path: '/login',
    component: Login2
  }
]
